import { FeedModelEvent, FeedProviderModelEvent, IFeedModel, IFeedModelRegistration, IFeedProviderModelRegistration } from "../apis/api.interfaces";
export declare const widgetsBoardId = "com.msn.widgetsboard";
export declare class FeedModelApi implements IFeedModel {
    private _feedEventListeners;
    private _feedProviderEventListeners;
    private _feedProviderApi;
    private _feedRegistrations;
    private _feedProviderRegistrations;
    private _selectedPivot;
    private _activeFeedsOrder;
    private _isDarkTheme;
    constructor();
    initializeAsync(): Promise<void>;
    setFeedProviderEnabledStateAsync(feedProviderDefinitionId: string, enabled: boolean): Promise<void>;
    setFeedNotificationEnabledStateAsync(feedProviderDefinitionId: string, feedDefinitionId: string, enabled: boolean): Promise<void>;
    feedProviderIsEnabled(feedProviderDefinitionId: string): boolean;
    getFeedProviders(): Array<IFeedProviderModelRegistration>;
    getEnabledFeedsAsync(): Promise<Array<IFeedModelRegistration>>;
    getEnabledFeeds(): Array<IFeedModelRegistration>;
    getEnabledFeedOrderByProvider(): Array<IFeedModelRegistration>;
    getFeedRegistrationAsync(feedDefinitionId: string): Promise<IFeedModelRegistration | undefined>;
    getFeedRegistration(feedDefinitionId: string): IFeedModelRegistration | undefined;
    getFeedProviderRegistrationAsync(feedProviderDefinitionId: string): Promise<IFeedProviderModelRegistration | undefined>;
    getFeedProviderRegistration(feedProviderDefinitionId: string): IFeedProviderModelRegistration | undefined;
    setSelectedFeedPivot(id: string): void;
    setSelectedFeedPivotHelper(id: string): IFeedModelRegistration | undefined;
    getSelectedFeedPivotAsync(): Promise<string | undefined>;
    getSelectedFeedPivot(): string | undefined;
    addFeedEventListener(listener: (eventName: FeedModelEvent, feedDefinitionIds: string[]) => void): void;
    removeFeedEventListener(listener: (eventName: FeedModelEvent, feedDefinitionIds: string[]) => void): void;
    addFeedProviderEventListener(listener: (eventName: FeedProviderModelEvent, feedProviderDefinitionId: string) => void): void;
    removeFeedProviderEventListener(listener: (eventName: FeedProviderModelEvent, feedProviderDefinitionId: string) => void): void;
    private isDarkThemeAsync;
    private updateSystemTheme;
    private onRegistrationAddedAsync;
    private onRegistrationRemoved;
    private onRegistrationChangedAsync;
    private onMissedNotificationsChanged;
    private getHostEnabledFeedProvidersAsync;
    private getHostFeedProvidersAsync;
    private getHostFeedProviderAsync;
    private getHostFeedsAsync;
    private getHostMissedFeedNotificationsAsync;
    private enableHostFeedProviderAsync;
    private setFeedNotificationsEnabledAsync;
    private updateFeedProviderAsync;
    private SendActiveProviderToHost;
    private notifyFeedModelEvent;
    private notifyFeedProviderModelEvent;
    private getWidgetsBoardIcon;
    private AddWidgetsBoard;
}
